import { Model, DataTypes } from 'sequelize'

export default class User extends Model {
  static init(sequelize) {
    return super.init(
      {
        userName: {
          type: DataTypes.STRING,
        },
        email: {
          type: DataTypes.STRING,
          unique: true,
          validate: {
            isEmail: true,
          },
        },
        password: {
          type: DataTypes.STRING,
        },
      },
      {
        sequelize,
        underscored: true,
        paranoid: true,
      }
    )
  }
}
